function [r,xi] = newton_lb(f,Sigma,Xi,d)

nf = size(f(0),2);
[sigma,xi,beta] = lejabagby(Sigma,Xi,Sigma,d,false,-1);
c = ratnewtoncoeffs2(f,sigma,xi,beta,nf);
r = @(x) eval_newton(x,sigma,xi,beta,c,nf);

    function val = eval_newton(x,sigma,xi,beta,c,nf)
        val = zeros(length(x),nf);
        for it = 1:length(sigma)
            erat = evalrat(sigma(1:it-1),xi(1:it-1),beta(1:it),x);
            val = val + erat*(c(:,it).');
        end
    end
end

