function c = ratnewtoncoeffs2(fun,sigma,xi,beta,nF)
% Compute rational divided differences for the function fun (can be matrix
% valued), using differencing. The sigma's need to be distinct. For scalar
% functions or non-distinct sigma's it may be better to use
% ratnewtoncoeffsm.

m = length(sigma);
c = zeros(nF,m);

% compute divided differences D0,D1,...,Dm
c(:,1) = fun(sigma(1))*beta(1);
for j = 2:m
    % evaluate current linearizaion at sigma(j);
    Qj = zeros(nF,1);
    for k = 1:j-1
        Qj = Qj + c(:,k)*evalrat(sigma(1:k-1),xi(1:k-1),beta(1:k),sigma(j));
    end
    
    % get divided difference from recursion (could be done via Horner)
    ff = fun(sigma(j));
    ff = ff(:);
    c(:,j) = (ff - Qj)/evalrat(sigma(1:j-1),xi(1:j-1),beta(1:j),sigma(j));
end
end