function A = gun()
%GUN  NEP from model of a radio-frequency gun cavity.
%
%  Reference:
%  Ben-Shan Liao, Subspace projection methods for model order reduction and
%  nonlinear eigenvalue computation, PhD Thesis, Department of Mathematics,
%  University of California at Davis, 2007.

load gun
A.C = {K,M,W1,W2};
% Polynomial factors
A.p = [1,-1];
sigma2 = 108.8774^2;
% Non-linear functions
A.f{1} = @(x) 1i*sqrt(x);
A.f{2} = @(x) 1i*sqrt(x-sigma2);
A.n = size(A.C{1},1);

end