function [ Lam_s,Res_s ] = sort_eig( Lam,Res )
% Sort given Ritzvalues, according to their given residue

[n,k] = size(Res);
% Sorted values
Res_s = zeros(n,k);
Lam_s = zeros(n,k);
for col = 1:k
    % Find the indices that sort the residues for the current iteration
    [~,idx] = sort(Res(1:col,col));
    row = 0;
    for row = 1:col-1
        % Find the eigenvalue that is closest to the previous in each row
        [~,loc] = min(abs(Lam(idx,col)-Lam_s(row,col-1)));
        % Add the eigenvalue that is closest to the previous one
        Res_s(row,col) = Res(idx(loc),col);
        Lam_s(row,col) = Lam(idx(loc),col);
        % The eigenvalue that is selected is removed as index
        idx(loc) = [];
    end
    % The remaining Ritz value is added
    Res(row+1,col) = Res(idx,col);
    Res(row+1,col) = Res(idx,col);
end
end